"""
Module contains luna streams retranslator enums.
"""

from enum import StrEnum


class RestreamTypes(StrEnum):
    """Supported restream types"""

    hls = "hls"
    rtsp = "rtsp"

    __TYPES_INT_MAP = {hls: 1, rtsp: 2}

    __TYPES_INT_MAP_REVERSED = {v: k for k, v in __TYPES_INT_MAP.items()}

    def toDigit(self):
        """Convert type to single digit"""
        return self.__TYPES_INT_MAP[self.value]  # pylint: disable-msg=invalid-sequence-index

    @classmethod
    def fromInt(cls, value: int):
        """Build enum from single digit"""
        return cls.__TYPES_INT_MAP_REVERSED[value]
